package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationselftask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "DESENSITIZATION_SELF_TASK"
)
public class DesensitizationSelfTask extends TBaseEntity implements Serializable {
   private String taskname;
   private String tasknamereal;
   private Date createtime;
   private Date updatetime;
   private String userid;
   private String foldername;
   private String tableprefix;
   private String tablesuffix;
   private String username;
   private String taskstatus;
   private String batchnumber;
   private String remark;
   private String isengine;
   private String isSynXml;
   private int type;
   private String tasktype;
   private String save_state;
   private String count_exe;
   private String projectid;
   private String fastexecution;
   private String version;
   private String isrecover;
   @Transient
   private String projectname;
   @Transient
   private String removePercent;
   private String executeStatus;

   public String getRemovePercent() {
      return this.removePercent;
   }

   public void setRemovePercent(String removePercent) {
      this.removePercent = removePercent;
   }

   public String getExecuteStatus() {
      return this.executeStatus;
   }

   public void setExecuteStatus(String executeStatus) {
      this.executeStatus = executeStatus;
   }

   public String getCount_exe() {
      return this.count_exe;
   }

   public void setCount_exe(String count_exe) {
      this.count_exe = count_exe;
   }

   public String getSave_state() {
      return this.save_state;
   }

   public void setSave_state(String save_state) {
      this.save_state = save_state;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public String getTasktype() {
      return this.tasktype;
   }

   public void setTasktype(String tasktype) {
      this.tasktype = tasktype;
   }

   public String getTasknamereal() {
      return this.tasknamereal;
   }

   public void setTasknamereal(String tasknamereal) {
      this.tasknamereal = tasknamereal;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getUserid() {
      return this.userid;
   }

   public void setUserid(String userid) {
      this.userid = userid;
   }

   public String getFoldername() {
      return this.foldername;
   }

   public void setFoldername(String foldername) {
      this.foldername = foldername;
   }

   public String getName() {
      return this.username;
   }

   public void setName(String name) {
      this.username = name;
   }

   public String getTaskstatus() {
      return this.taskstatus;
   }

   public void setTaskstatus(String taskstatus) {
      this.taskstatus = taskstatus;
   }

   public String getBatchnumber() {
      return this.batchnumber;
   }

   public void setBatchnumber(String batchnumber) {
      this.batchnumber = batchnumber;
   }

   public int getType() {
      return this.type;
   }

   public void setType(int type) {
      this.type = type;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getIsengine() {
      return this.isengine;
   }

   public void setIsengine(String isengine) {
      this.isengine = isengine;
   }

   public String getIsSynXml() {
      return this.isSynXml;
   }

   public void setIsSynXml(String isSynXml) {
      this.isSynXml = isSynXml;
   }

   public String getTableprefix() {
      return this.tableprefix;
   }

   public void setTableprefix(String tableprefix) {
      this.tableprefix = tableprefix;
   }

   public String getTablesuffix() {
      return this.tablesuffix;
   }

   public void setTablesuffix(String tablesuffix) {
      this.tablesuffix = tablesuffix;
   }

   public String getFastexecution() {
      return this.fastexecution;
   }

   public void setFastexecution(String fastexecution) {
      this.fastexecution = fastexecution;
   }

   public String getVersion() {
      return this.version;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public String getIsrecover() {
      return this.isrecover;
   }

   public void setIsrecover(String isrecover) {
      this.isrecover = isrecover;
   }

   public String getProjectname() {
      return this.projectname;
   }

   public void setProjectname(String projectname) {
      this.projectname = projectname;
   }

   public String toString() {
      return "DesensitizationSelfTask [taskname=" + this.taskname + ", tasknamereal=" + this.tasknamereal + ", createtime=" + this.createtime + ", updatetime=" + this.updatetime + ", userid=" + this.userid + ", foldername=" + this.foldername + ", tableprefix=" + this.tableprefix + ", tablesuffix=" + this.tablesuffix + ", username=" + this.username + ", taskstatus=" + this.taskstatus + ", batchnumber=" + this.batchnumber + ", remark=" + this.remark + ", isengine=" + this.isengine + ", isSynXml=" + this.isSynXml + ", type=" + this.type + ", tasktype=" + this.tasktype + ", save_state=" + this.save_state + ", count_exe=" + this.count_exe + ", projectid=" + this.projectid + ", fastexecution=" + this.fastexecution + ", version=" + this.version + ", isrecover=" + this.isrecover + "]";
   }
}
